package com.example.julian.endlessroll.entities;

import com.example.julian.endlessroll.data.Vector;
import com.example.julian.endlessroll.levels.ObstacleData;
import com.example.julian.endlessroll.levels.worlds.World;

/**
 * Created by Julian on 20.11.2015.
 */
public class Obstacle extends Entity {

    public Obstacle(World world, ObstacleData data, float terrainEdge) {
        super(world.getObstacle(), new Vector(data.getX(), data.getY()), data.getWidth(), data.getHeight());
        if (data.isAttachedToGround())
            super.setToTerrain(terrainEdge);
    }

}
